Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.authentication
Class UserCredentials

    java.lang.Object
      org.springframework.data.authentication.UserCredentials

    public class UserCredentials

extends Object

Class used to provide credentials for username/password authentication

Author:
  Thomas Risberg

Constructor Summary
`UserCredentials()`
`UserCredentials(String username, String password)`

Method Summary
`String` | `getPassword()` Get the password to use for authentication
`String` | `getUsername()` Get the username to use for authentication
`void` | `setPassword(String password)` Set the password to use for authentication
`void` | `setUsername(String username)` Set the username to use for authentication

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserCredentials

    public UserCredentials()

### UserCredentials

    public UserCredentials(String username,
                           String password)

Method Detail

### getUsername

    public String getUsername()

  Get the username to use for authentication

  Returns:
    The username

### setUsername

    public void setUsername(String username)

  Set the username to use for authentication

  Parameters:
    `username` -

### getPassword

    public String getPassword()

  Get the password to use for authentication

  Returns:
    The password

### setPassword

    public void setPassword(String password)

  Set the password to use for authentication

  Parameters:
    `password` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.